Bug 258828 - Crash when I use auto-colors correction tool from image editor
Summary: Crash when I use auto-colors correction tool from image editor
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Plugin-Editor-AutoColors (show other bugs)
Version: 1.4.0
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-04 19:01 UTC by puiseux
Modified: 2017-07-24 09:05 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 1.7.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description puiseux 2010-12-04 19:01:22 UTC
Application: digikam (1.4.0 (rev.: 1159093))
KDE Platform Version: 4.4.2 (KDE 4.4.2)
Qt Version: 4.6.2
Operating System: Linux 2.6.32-26-generic i686
Distribution: Ubuntu 10.04.1 LTS

-- Information about the crash:
reproductible (et reproduit 3 fois, sur la même image)

The crash can be reproduced every time.

 -- Backtrace:
Application: digiKam (digikam), signal: Segmentation fault
[Current thread is 1 (Thread 0xb76cb760 (LWP 20990))]

Thread 12 (Thread 0xb5e35b70 (LWP 20991)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x002db015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x093ff287 in QWaitConditionPrivate::wait (this=0xa1c73f8, mutex=0xa1c73f4, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa1c73f8, mutex=0xa1c73f4, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x083034ac in Digikam::ScanController::run (this=0xa1014f8) at /home/puiseux/trunk/digikam/digikam/scancontroller.cpp:515
#5  0x093fe32e in QThreadPrivate::start (arg=0xa1014f8) at thread/qthread_unix.cpp:248
#6  0x002d696e in start_thread (arg=0xb5e35b70) at pthread_create.c:300
#7  0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 11 (Thread 0xb5634b70 (LWP 20995)):
#0  0x05b16e16 in *__GI_clock_gettime (clock_id=95530996, tp=0xb5633fa8) at ../sysdeps/unix/clock_gettime.c:100
#1  0x095296fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0952e825 in QTimerInfoList::updateCurrentTime (this=0xa3b674c) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0952e86a in QTimerInfoList::timerWait (this=0xa3b674c, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0952c818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb56340bc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0952c8a5 in timerSourcePrepare (source=0x0, timeout=0x5b1aff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x015c4aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x015c4ee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0952c60f in QEventDispatcherGlib::processEvents (this=0xa3e5a28, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x094ff059 in QEventLoop::processEvents (this=0xb5634280, flags=) at kernel/qeventloop.cpp:149
#11 0x094ff4aa in QEventLoop::exec (this=0xb5634280, flags=...) at kernel/qeventloop.cpp:201
#12 0x093fb5a8 in QThread::exec (this=0xa309218) at thread/qthread.cpp:487
#13 0x05533571 in Digikam::ImageFilterModelWorker::Thread::run (this=0xa309218) at /home/puiseux/trunk/digikam/build/digikam/../../libs/models/imagefiltermodelthreads.h:66
#14 0x093fe32e in QThreadPrivate::start (arg=0xa309218) at thread/qthread_unix.cpp:248
#15 0x002d696e in start_thread (arg=0xb5634b70) at pthread_create.c:300
#16 0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 10 (Thread 0xb4e33b70 (LWP 20996)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x01c04b86 in *__GI___poll (fds=0x1c9aff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x015d24eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x015c50ac in ?? () from /lib/libglib-2.0.so.0
#4  0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0952c60f in QEventDispatcherGlib::processEvents (this=0xa306b80, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x094ff059 in QEventLoop::processEvents (this=0xb4e33280, flags=) at kernel/qeventloop.cpp:149
#7  0x094ff4aa in QEventLoop::exec (this=0xb4e33280, flags=...) at kernel/qeventloop.cpp:201
#8  0x093fb5a8 in QThread::exec (this=0xa2dda98) at thread/qthread.cpp:487
#9  0x05533571 in Digikam::ImageFilterModelWorker::Thread::run (this=0xa2dda98) at /home/puiseux/trunk/digikam/build/digikam/../../libs/models/imagefiltermodelthreads.h:66
#10 0x093fe32e in QThreadPrivate::start (arg=0xa2dda98) at thread/qthread_unix.cpp:248
#11 0x002d696e in start_thread (arg=0xb4e33b70) at pthread_create.c:300
#12 0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 9 (Thread 0xb43ffb70 (LWP 20997)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x002db015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x093ff287 in QWaitConditionPrivate::wait (this=0xa43d3d0, mutex=0xa43d3cc, time=4294967295) at thread/qwaitcondition_unix.cpp:87
#3  QWaitCondition::wait (this=0xa43d3d0, mutex=0xa43d3cc, time=4294967295) at thread/qwaitcondition_unix.cpp:159
#4  0x06317d35 in Digikam::ParkingThread::run (this=0xa43d3c0) at /home/puiseux/trunk/digikam/libs/threads/threadmanager.cpp:101
#5  0x093fe32e in QThreadPrivate::start (arg=0xa43d3c0) at thread/qthread_unix.cpp:248
#6  0x002d696e in start_thread (arg=0xb43ffb70) at pthread_create.c:300
#7  0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 8 (Thread 0xb3bfeb70 (LWP 20998)):
#0  0x05b16e16 in *__GI_clock_gettime (clock_id=95530996, tp=0xb3bfdfa8) at ../sysdeps/unix/clock_gettime.c:100
#1  0x095296fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0952e825 in QTimerInfoList::updateCurrentTime (this=0xa4893b4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0952e86a in QTimerInfoList::timerWait (this=0xa4893b4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0952c818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb3bfe0bc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0952c8a5 in timerSourcePrepare (source=0x0, timeout=0x5b1aff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x015c4aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x015c4ee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0952c60f in QEventDispatcherGlib::processEvents (this=0xa2e8868, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x094ff059 in QEventLoop::processEvents (this=0xb3bfe280, flags=) at kernel/qeventloop.cpp:149
#11 0x094ff4aa in QEventLoop::exec (this=0xb3bfe280, flags=...) at kernel/qeventloop.cpp:201
#12 0x093fb5a8 in QThread::exec (this=0xa3e0280) at thread/qthread.cpp:487
#13 0x082fa1d5 in Digikam::MetadataManagerWorker::Thread::run (this=0xa3e0280) at /home/puiseux/trunk/digikam/build/digikam/../../digikam/metadatamanager_p.h:146
#14 0x093fe32e in QThreadPrivate::start (arg=0xa3e0280) at thread/qthread_unix.cpp:248
#15 0x002d696e in start_thread (arg=0xb3bfeb70) at pthread_create.c:300
#16 0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 7 (Thread 0xb33fdb70 (LWP 20999)):
#0  0x05b16e16 in *__GI_clock_gettime (clock_id=95530996, tp=0xb33fcfa8) at ../sysdeps/unix/clock_gettime.c:100
#1  0x095296fb in qt_gettime () at kernel/qcore_unix.cpp:111
#2  0x0952e825 in QTimerInfoList::updateCurrentTime (this=0xa491af4) at kernel/qeventdispatcher_unix.cpp:340
#3  0x0952e86a in QTimerInfoList::timerWait (this=0xa491af4, tm=...) at kernel/qeventdispatcher_unix.cpp:443
#4  0x0952c818 in timerSourcePrepareHelper (src=<value optimized out>, timeout=0xb33fd0bc) at kernel/qeventdispatcher_glib.cpp:136
#5  0x0952c8a5 in timerSourcePrepare (source=0x0, timeout=0x5b1aff4) at kernel/qeventdispatcher_glib.cpp:169
#6  0x015c4aca in g_main_context_prepare () from /lib/libglib-2.0.so.0
#7  0x015c4ee9 in ?? () from /lib/libglib-2.0.so.0
#8  0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#9  0x0952c60f in QEventDispatcherGlib::processEvents (this=0xa3e4a08, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#10 0x094ff059 in QEventLoop::processEvents (this=0xb33fd280, flags=) at kernel/qeventloop.cpp:149
#11 0x094ff4aa in QEventLoop::exec (this=0xb33fd280, flags=...) at kernel/qeventloop.cpp:201
#12 0x093fb5a8 in QThread::exec (this=0xa447430) at thread/qthread.cpp:487
#13 0x082fa1d5 in Digikam::MetadataManagerWorker::Thread::run (this=0xa447430) at /home/puiseux/trunk/digikam/build/digikam/../../digikam/metadatamanager_p.h:146
#14 0x093fe32e in QThreadPrivate::start (arg=0xa447430) at thread/qthread_unix.cpp:248
#15 0x002d696e in start_thread (arg=0xb33fdb70) at pthread_create.c:300
#16 0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 6 (Thread 0xb16b5b70 (LWP 21000)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x002db342 in pthread_cond_timedwait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_timedwait.S:179
#2  0x0470bce7 in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 5 (Thread 0xb0aa9b70 (LWP 21001)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x01c0b971 in select () at ../sysdeps/unix/syscall-template.S:82
#2  0x047355cc in xine_usec_sleep () from /usr/lib/libxine.so.1
#3  0x00000000 in ?? ()

Thread 4 (Thread 0xb02a8b70 (LWP 21002)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x01c04b86 in *__GI___poll (fds=0x1c9aff4, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x015d24eb in g_poll () from /lib/libglib-2.0.so.0
#3  0x015c50ac in ?? () from /lib/libglib-2.0.so.0
#4  0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#5  0x0952c60f in QEventDispatcherGlib::processEvents (this=0xa5cbb40, flags=...) at kernel/qeventdispatcher_glib.cpp:414
#6  0x094ff059 in QEventLoop::processEvents (this=0xb02a8230, flags=) at kernel/qeventloop.cpp:149
#7  0x094ff4aa in QEventLoop::exec (this=0xb02a8230, flags=...) at kernel/qeventloop.cpp:201
#8  0x093fb5a8 in QThread::exec (this=0xa5cb750) at thread/qthread.cpp:487
#9  0x046aa96a in ?? () from /usr/lib/qt4/plugins/phonon_backend/phonon_xine.so
#10 0x093fe32e in QThreadPrivate::start (arg=0xa5cb750) at thread/qthread_unix.cpp:248
#11 0x002d696e in start_thread (arg=0xb02a8b70) at pthread_create.c:300
#12 0x01c12a4e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:130

Thread 3 (Thread 0xaba9cb70 (LWP 21008)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x01c04b86 in *__GI___poll (fds=0x1c9aff4, nfds=1, timeout=333) at ../sysdeps/unix/sysv/linux/poll.c:87
#2  0x0475ea8f in ?? () from /usr/lib/xine/plugins/1.27/xineplug_ao_out_alsa.so
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 2 (Thread 0xab29bb70 (LWP 21009)):
#0  0x00fa3422 in __kernel_vsyscall ()
#1  0x002db015 in pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/i386/i686/../i486/pthread_cond_wait.S:122
#2  0x0471c9ee in ?? () from /usr/lib/libxine.so.1
Backtrace stopped: previous frame inner to this frame (corrupt stack?)

Thread 1 (Thread 0xb76cb760 (LWP 20990)):
[KCrash Handler]
#6  0x08ddf547 in QListWidgetItem::data (this=0x0, role=5) at itemviews/qlistwidget.cpp:713
#7  0x05320a6f in QTreeWidgetItem::setWhatsThis (this=0xbe32de0, parent=0xbb2ce88) at /usr/include/qt4/QtGui/qtreewidget.h:244
#8  AutoCorrectionTool (this=0xbe32de0, parent=0xbb2ce88) at /build/buildd/digikam-1.2.0/imageplugins/color/autocorrectiontool.cpp:122
#9  0x0533be17 in ImagePlugin_Color::slotAutoCorrection (this=0xbb2ce88) at /build/buildd/digikam-1.2.0/imageplugins/color/imageplugin_color.cpp:287
#10 0x05342493 in ImagePlugin_Color::qt_metacall (this=0xbb2ce88, _c=QMetaObject::InvokeMetaMethod, _id=8, _a=0xbfc8f498)
    at /build/buildd/digikam-1.2.0/obj-i486-linux-gnu/imageplugins/color/imageplugin_color.moc:98
#11 0x09505c9a in QMetaObject::metacall (object=0xbb2ce88, cl=3217617652, idx=8, argv=0xbfc8f498) at kernel/qmetaobject.cpp:237
#12 0x095143d5 in QMetaObject::activate (sender=0xbf283c0, m=0x84e8c58, local_signal_index=1, argv=0xbfc8f498) at kernel/qobject.cpp:3293
#13 0x087c9bd9 in QAction::triggered (this=0xbf283c0, _t1=false) at .moc/release-shared/moc_qaction.cpp:263
#14 0x087cbdcc in QAction::activate (this=0xbf283c0, event=QAction::Trigger) at kernel/qaction.cpp:1255
#15 0x08c6f60c in QMenuPrivate::activateCausedStack (this=0xcfbcce8, causedStack=..., action=0xbf283c0, action_e=QAction::Trigger, self=true) at widgets/qmenu.cpp:1011
#16 0x08c75abb in QMenuPrivate::activateAction (this=0xcfbcce8, action=0xbf283c0, action_e=QAction::Trigger, self=<value optimized out>) at widgets/qmenu.cpp:1103
#17 0x08c76ac7 in QMenu::mouseReleaseEvent (this=0xcfbdc08, e=0xbfc8fd30) at widgets/qmenu.cpp:2312
#18 0x06e11f65 in KMenu::mouseReleaseEvent (this=0xcfbdc08, e=0xbfc8fd30) at ../../kdeui/widgets/kmenu.cpp:471
#19 0x0882e7f8 in QWidget::event (this=0xcfbdc08, event=0xbfc8fd30) at kernel/qwidget.cpp:7998
#20 0x08c780cc in QMenu::event (this=0xcfbdc08, e=0xbfc8fd30) at widgets/qmenu.cpp:2414
#21 0x087d04dc in QApplicationPrivate::notify_helper (this=0xa0512c8, receiver=0xcfbdc08, e=0xbfc8fd30) at kernel/qapplication.cpp:4300
#22 0x087d79f7 in QApplication::notify (this=0xbfc90678, receiver=0xcfbdc08, e=0xbfc8fd30) at kernel/qapplication.cpp:3865
#23 0x06d1bf2a in KApplication::notify (this=0xbfc90678, receiver=0xcfbdc08, event=0xbfc8fd30) at ../../kdeui/kernel/kapplication.cpp:302
#24 0x09500a3b in QCoreApplication::notifyInternal (this=0xbfc90678, receiver=0xcfbdc08, event=0xbfc8fd30) at kernel/qcoreapplication.cpp:704
#25 0x087d6952 in QCoreApplication::sendEvent (receiver=0xcfbdc08, event=0xbfc8fd30, alienWidget=0x0, nativeWidget=0xcfbdc08, buttonDown=0x9114058, lastMouseReceiver=..., spontaneous=true)
    at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:215
#26 QApplicationPrivate::sendMouseEvent (receiver=0xcfbdc08, event=0xbfc8fd30, alienWidget=0x0, nativeWidget=0xcfbdc08, buttonDown=0x9114058, lastMouseReceiver=..., spontaneous=true)
    at kernel/qapplication.cpp:2965
#27 0x088625cf in QETWidget::translateMouseEvent (this=0xcfbdc08, event=0xbfc9024c) at kernel/qapplication_x11.cpp:4302
#28 0x08861511 in QApplication::x11ProcessEvent (this=0xbfc90678, event=0xbfc9024c) at kernel/qapplication_x11.cpp:3379
#29 0x0889060a in x11EventSourceDispatch (s=0xa0544e8, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#30 0x015c15e5 in g_main_context_dispatch () from /lib/libglib-2.0.so.0
#31 0x015c52d8 in ?? () from /lib/libglib-2.0.so.0
#32 0x015c54b8 in g_main_context_iteration () from /lib/libglib-2.0.so.0
#33 0x0952c5d5 in QEventDispatcherGlib::processEvents (this=0xa024c08, flags=...) at kernel/qeventdispatcher_glib.cpp:412
#34 0x08890135 in QGuiEventDispatcherGlib::processEvents (this=0xa024c08, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#35 0x094ff059 in QEventLoop::processEvents (this=0xbfc90544, flags=) at kernel/qeventloop.cpp:149
#36 0x094ff4aa in QEventLoop::exec (this=0xbfc90544, flags=...) at kernel/qeventloop.cpp:201
#37 0x0950369f in QCoreApplication::exec () at kernel/qcoreapplication.cpp:981
#38 0x087d0577 in QApplication::exec () at kernel/qapplication.cpp:3579
#39 0x083812c0 in main (argc=1, argv=0xbfc908b4) at /home/puiseux/trunk/digikam/digikam/main.cpp:195

Reported using DrKonqi
Comment 1 caulier.gilles 2010-12-04 19:07:30 UTC
Crash is in QT4 when what's this data are assigned to listview item. It's not reproducible here... Sound like a broken install of Qt4.

Can you check with digiKam 1.6.0 ?

Gilles Caulier

PS : Please only use English words in this room...
Comment 2 puiseux 2010-12-05 01:27:22 UTC
I compiled digikam and KDE4 last svn version, installed it.... but its 
Digikam1.4
Where is 1.6.0 ?

Anyway, bug has disapear !

Thanks, and congratulations for your great work.
I am very happy to have MySQL database now, because sqlite db was really 
too big (200Mo) and slowed down drastically Digikam

Pierre Puiseux

Le 04/12/2010 19:07, Gilles Caulier a écrit :
> https://bugs.kde.org/show_bug.cgi?id=258828
>
>
> Gilles Caulier<caulier.gilles@gmail.com>  changed:
>
>             What    |Removed                     |Added
> ----------------------------------------------------------------------------
>                   CC|                            |caulier.gilles@gmail.com
>            Component|general                     |Auto-Colors
>              Version|unspecified                 |1.4.0
>              Product|digikam                     |digikamimageplugins
>              Summary|Plantage quand j'utilise la |Crash when I use
>                     |correction auto des         |auto-colors correction tool
>                     |couleurs                    |from image editor
>
>
>
>
> --- Comment #1 from Gilles Caulier<caulier gilles gmail com>   2010-12-04 19:07:30 ---
> Crash is in QT4 when what's this data are assigned to listview item. It's not
> reproducible here... Sound like a broken install of Qt4.
>
> Can you check with digiKam 1.6.0 ?
>
> Gilles Caulier
>
> PS : Please only use English words in this room...
>
>
Comment 3 Martin Klapetek 2010-12-05 01:44:59 UTC
You can get 1.6.0 sources from http://www.digikam.org/drupal/download or check if your distro provides the packages. Also there will be version 1.7.0 in just two weeks ;)
Comment 4 caulier.gilles 2010-12-05 07:36:56 UTC
Also, before to install a new version, uninstall old one.

Probably, 1.6.0 is installed in /usr/local, not /usr. Loook in README file, there is a Cmake option to tune this settings.

Anyway, when you run 'make install', you will see where files are copied in your system.

Gilles Caulier